using Newtonsoft.Json;
using System.ComponentModel.DataAnnotations;
using System.Text.Json.Serialization;

namespace Model;
public class Product
{
    public const string RequiredErrorMessage = "Das Feld {0} ist ein Pflichtfeld.";

    [Required(ErrorMessage = RequiredErrorMessage)]
    [Display(Name = "Bezeichnung")]
    [JsonPropertyName("name")]
    public string? Name { get; set; }

}
